"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pipeMappers = void 0;
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
function pipeMappers() {
    var mappers = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        mappers[_i] = arguments[_i];
    }
    if (mappers.length === 1) {
        return mappers[0].map.bind(mappers[0]);
    }
    else {
        return function (from, initialTo, context) { return mappers.reduce(function (to, mapper) { return mapper.map(from, to, context); }, initialTo); };
    }
}
exports.pipeMappers = pipeMappers;
//# sourceMappingURL=pipe-mappers.js.map