"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmpathyQueriesRecommendationsRequestMapper = void 0;
var tslib_1 = require("tslib");
var inversify_1 = require("inversify");
var container_const_1 = require("../../container/container.const");
var pipe_mappers_1 = require("../pipe-mappers");
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
var EmpathyQueriesRecommendationsRequestMapper = /** @class */ (function () {
    function EmpathyQueriesRecommendationsRequestMapper(queryMapper) {
        this.mapQuery = pipe_mappers_1.pipeMappers.apply(void 0, queryMapper);
    }
    EmpathyQueriesRecommendationsRequestMapper.prototype.map = function (_a, request, context) {
        var _this = this;
        var queries = _a.queries, userType = _a.userType, user = _a.user, session = _a.session, rest = tslib_1.__rest(_a, ["queries", "userType", "user", "session"]);
        return Object.assign(request, tslib_1.__assign(tslib_1.__assign({}, rest), { query: queries.map(function (query) { return _this.mapQuery(query, query, context); }) }));
    };
    EmpathyQueriesRecommendationsRequestMapper = tslib_1.__decorate([
        (0, inversify_1.injectable)(),
        tslib_1.__param(0, (0, inversify_1.multiInject)(container_const_1.DEPENDENCIES.RequestMappers.Parameters.query)),
        tslib_1.__metadata("design:paramtypes", [Array])
    ], EmpathyQueriesRecommendationsRequestMapper);
    return EmpathyQueriesRecommendationsRequestMapper;
}());
exports.EmpathyQueriesRecommendationsRequestMapper = EmpathyQueriesRecommendationsRequestMapper;
//# sourceMappingURL=empathy-queries-recommendations-request.mapper.js.map