"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmpathyQueryableRequestMapper = void 0;
var tslib_1 = require("tslib");
var inversify_1 = require("inversify");
var container_const_1 = require("../../container/container.const");
var pipe_mappers_1 = require("../pipe-mappers");
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
var EmpathyQueryableRequestMapper = /** @class */ (function () {
    function EmpathyQueryableRequestMapper(queryMapper) {
        this.mapQuery = pipe_mappers_1.pipeMappers.apply(void 0, queryMapper);
    }
    EmpathyQueryableRequestMapper.prototype.map = function (_a, request, context) {
        var query = _a.query, rest = tslib_1.__rest(_a, ["query"]);
        return Object.assign(request, tslib_1.__assign(tslib_1.__assign({}, rest), { q: query && this.mapQuery({ query: query }, query, context) }));
    };
    EmpathyQueryableRequestMapper = tslib_1.__decorate([
        (0, inversify_1.injectable)(),
        tslib_1.__param(0, (0, inversify_1.multiInject)(container_const_1.DEPENDENCIES.RequestMappers.Parameters.query)),
        tslib_1.__metadata("design:paramtypes", [Array])
    ], EmpathyQueryableRequestMapper);
    return EmpathyQueryableRequestMapper;
}());
exports.EmpathyQueryableRequestMapper = EmpathyQueryableRequestMapper;
//# sourceMappingURL=empathy-queryable-request.mapper.js.map