import { __assign, __decorate, __metadata, __param, __rest } from "tslib";
import { injectable, multiInject } from 'inversify';
import { DEPENDENCIES } from '../../container/container.const';
import { pipeMappers } from '../pipe-mappers';
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
var EmpathyQueriesRecommendationsRequestMapper = /** @class */ (function () {
    function EmpathyQueriesRecommendationsRequestMapper(queryMapper) {
        this.mapQuery = pipeMappers.apply(void 0, queryMapper);
    }
    EmpathyQueriesRecommendationsRequestMapper.prototype.map = function (_a, request, context) {
        var _this = this;
        var queries = _a.queries, userType = _a.userType, user = _a.user, session = _a.session, rest = __rest(_a, ["queries", "userType", "user", "session"]);
        return Object.assign(request, __assign(__assign({}, rest), { query: queries.map(function (query) { return _this.mapQuery(query, query, context); }) }));
    };
    EmpathyQueriesRecommendationsRequestMapper = __decorate([
        injectable(),
        __param(0, multiInject(DEPENDENCIES.RequestMappers.Parameters.query)),
        __metadata("design:paramtypes", [Array])
    ], EmpathyQueriesRecommendationsRequestMapper);
    return EmpathyQueriesRecommendationsRequestMapper;
}());
export { EmpathyQueriesRecommendationsRequestMapper };
//# sourceMappingURL=empathy-queries-recommendations-request.mapper.js.map