import { __assign, __decorate, __metadata, __param, __rest } from "tslib";
import { injectable, multiInject } from 'inversify';
import { DEPENDENCIES } from '../../container/container.const';
import { pipeMappers } from '../pipe-mappers';
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
var EmpathySearchRequestMapper = /** @class */ (function () {
    function EmpathySearchRequestMapper(queryMapper, filtersMapper, sortMappers) {
        this.mapQuery = pipeMappers.apply(void 0, queryMapper);
        this.mapFilters = pipeMappers.apply(void 0, filtersMapper);
        this.mapSort = pipeMappers.apply(void 0, sortMappers);
    }
    EmpathySearchRequestMapper.prototype.map = function (_a, request, context) {
        var query = _a.query, _b = _a.relatedTags, relatedTags = _b === void 0 ? [] : _b, _c = _a.filters, filters = _c === void 0 ? {} : _c, sort = _a.sort, rest = __rest(_a, ["query", "relatedTags", "filters", "sort"]);
        return Object.assign(request, __assign(__assign({}, rest), { q: query && this.mapQuery({ query: query }, query, context), filter: this.mapFilters(filters, [], context), sort: this.mapSort(sort, '', context) }));
    };
    EmpathySearchRequestMapper = __decorate([
        injectable(),
        __param(0, multiInject(DEPENDENCIES.RequestMappers.Parameters.query)),
        __param(1, multiInject(DEPENDENCIES.RequestMappers.Parameters.filters)),
        __param(2, multiInject(DEPENDENCIES.RequestMappers.Parameters.sort)),
        __metadata("design:paramtypes", [Array, Array, Array])
    ], EmpathySearchRequestMapper);
    return EmpathySearchRequestMapper;
}());
export { EmpathySearchRequestMapper };
//# sourceMappingURL=empathy-search-request.mapper.js.map