import { __decorate, __metadata, __param } from "tslib";
import { injectable, multiInject } from 'inversify';
import { DEPENDENCIES } from '../../../container/container.const';
import { pipeMappers } from '../../pipe-mappers';
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
var EmpathyRequestFiltersMapper = /** @class */ (function () {
    function EmpathyRequestFiltersMapper(filtersValueMappers) {
        this.mapFiltersValue = pipeMappers.apply(void 0, filtersValueMappers);
    }
    EmpathyRequestFiltersMapper.prototype.map = function (selectedFilters, filtersValue, context) {
        var _this = this;
        return Object.values(selectedFilters).reduce(function (mappedFilters, filters) {
            if (filters.length) {
                mappedFilters.push.apply(mappedFilters, _this.mapFiltersValue(filters, [], context));
            }
            return mappedFilters;
        }, filtersValue);
    };
    EmpathyRequestFiltersMapper = __decorate([
        injectable(),
        __param(0, multiInject(DEPENDENCIES.RequestMappers.Parameters.filtersValue)),
        __metadata("design:paramtypes", [Array])
    ], EmpathyRequestFiltersMapper);
    return EmpathyRequestFiltersMapper;
}());
export { EmpathyRequestFiltersMapper };
//# sourceMappingURL=empathy-request-filters.mapper.js.map