import { __decorate, __metadata, __param } from "tslib";
import { inject, injectable } from 'inversify';
import { DEPENDENCIES } from '../../../container/container.const';
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
var EmpathyRequestQueryMapper = /** @class */ (function () {
    function EmpathyRequestQueryMapper(config) {
        this.queryConfig = config.mappings.query;
    }
    EmpathyRequestQueryMapper.prototype.map = function (_, query) {
        return this.normalizeQuery(query);
    };
    EmpathyRequestQueryMapper.prototype.normalizeQuery = function (query) {
        return query
            .split(/\s+/)
            .slice(0, this.queryConfig.maxWords)
            .join(' ')
            .slice(0, this.queryConfig.maxLength);
    };
    EmpathyRequestQueryMapper = __decorate([
        injectable(),
        __param(0, inject(DEPENDENCIES.config)),
        __metadata("design:paramtypes", [Object])
    ], EmpathyRequestQueryMapper);
    return EmpathyRequestQueryMapper;
}());
export { EmpathyRequestQueryMapper };
//# sourceMappingURL=empathy-request-query.mapper.js.map