import { __decorate, __metadata, __param } from "tslib";
import { injectable, multiInject } from 'inversify';
import { DEPENDENCIES } from '../../../container/container.const';
import { pipeMappers } from '../../pipe-mappers';
/**
 * TODO https://searchbroker.atlassian.net/browse/EX-2163
 *
 * @public
 */
var EmpathySuggestionFacetsMapper = /** @class */ (function () {
    function EmpathySuggestionFacetsMapper(facetMappers) {
        this.mapFacet = pipeMappers.apply(void 0, facetMappers);
    }
    EmpathySuggestionFacetsMapper.prototype.map = function (_a, suggestion, context) {
        var facets = _a.facets;
        return Object.assign(suggestion, {
            facets: facets ? this.generateFacets(facets, context) : []
        });
    };
    EmpathySuggestionFacetsMapper.prototype.generateFacets = function (rawFacets, context) {
        var _this = this;
        return rawFacets.map(function (rawFacet) {
            var mappedFacet = _this.mapFacet(rawFacet, {}, context);
            return mappedFacet;
        });
    };
    EmpathySuggestionFacetsMapper = __decorate([
        injectable(),
        __param(0, multiInject(DEPENDENCIES.ResponseMappers.facets)),
        __metadata("design:paramtypes", [Array])
    ], EmpathySuggestionFacetsMapper);
    return EmpathySuggestionFacetsMapper;
}());
export { EmpathySuggestionFacetsMapper };
//# sourceMappingURL=empathy-suggestion-facets.mapper.js.map